curl --request PUT \
--url https://production.trackstarhq.com/wms/orders/{order_id} \
--header 'Content-Type: application/json' \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>' \
--data '
{
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"warehouse_id": "warehouse_id",
"reference_id": "order_reference_id",
"order_number": "so_30449",
"shipping_method_id": "fedex_ground",
"service_level": "Standard",
"invoice_currency_code": "USD",
"total_price": 13.49,
"line_items": [
{
"sku": "sku",
"quantity": 1
}
]
}
'import requests
url = "https://production.trackstarhq.com/wms/orders/{order_id}"
payload = {
"trackstar_tags": ["tag1", "tag2", { "tag3": "value3" }],
"warehouse_id": "warehouse_id",
"reference_id": "order_reference_id",
"order_number": "so_30449",
"shipping_method_id": "fedex_ground",
"service_level": "Standard",
"invoice_currency_code": "USD",
"total_price": 13.49,
"line_items": [
{
"sku": "sku",
"quantity": 1
}
]
}
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
trackstar_tags: ['tag1', 'tag2', {tag3: 'value3'}],
warehouse_id: 'warehouse_id',
reference_id: 'order_reference_id',
order_number: 'so_30449',
shipping_method_id: 'fedex_ground',
service_level: 'Standard',
invoice_currency_code: 'USD',
total_price: 13.49,
line_items: [{sku: 'sku', quantity: 1}]
})
};
fetch('https://production.trackstarhq.com/wms/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "id",
"unused_fields": [
"unused_fields"
],
"data": {
"id": "order_id",
"warehouse_customer_id": "warehouse_customer_id",
"warehouse_id": "warehouse_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"reference_id": "order_reference_id",
"order_number": "order_number",
"status": "open",
"raw_status": "raw_status",
"channel_object": {
"channel_id": "channel_id",
"channel_name": "channel_name"
},
"type": "d2c",
"trading_partner": "Target",
"service_level": "Standard",
"shipping_method_id": "fedex_ground",
"shipping_method_name": "FedEx Ground",
"carrier_id": "fedex",
"carrier_name": "FedEx",
"scac": "scac",
"is_third_party_freight": false,
"third_party_freight_account_number": "123456",
"first_party_freight_account_number": "123456",
"invoice_currency_code": "USD",
"total_price": 13.49,
"total_tax": 1.5,
"total_discount": 2.5,
"total_shipping": 3.5,
"ship_to_address": {
"full_name": "John Doe",
"company": "Company",
"address1": "123 Main St",
"address2": "Apt 2",
"address3": "Floor 3",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "United States",
"phone_number": "123-456-7890",
"email_address": "johndoe@example.com"
},
"line_items": [
{
"product_id": "product_id",
"sku": "sku",
"quantity": 1,
"unit_price": 10.99,
"discount_amount": 1.5
}
],
"tags": [
"tag_0"
],
"required_ship_date": "2021-01-01T12:00:00Z",
"saturday_delivery": false,
"signature_required": false,
"international_duty_paid_by": "sender",
"shipments": [
{
"shipment_id": "shipment_id",
"warehouse_id": "wh_id",
"shipped_date": "2022-05-06T01:02:03Z",
"raw_status": "raw_status",
"status": "shipped",
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"quantity": 1,
"parent_product_id": null
}
],
"ship_to_address": {
"full_name": "John Doe",
"company": "company",
"address1": "address1",
"address2": "address2",
"address3": "address3",
"city": "city",
"state": "state",
"postal_code": "postal_code",
"country": "country"
},
"ship_from_address": {
"address1": "address1",
"address2": "address2",
"address3": "address3",
"city": "city",
"state": "state",
"postal_code": "postal_code",
"country": "country"
},
"packages": [
{
"package_id": "package_id",
"package_name": "package_name",
"tracking_number": "tracking_number",
"tracking_url": "tracking_url",
"shipping_method_id": "shipping_method_id",
"shipping_method_name": "shipping_method_name",
"carrier_id": "carrier_id",
"carrier_name": "carrier_name",
"scac": "scac",
"bill_of_lading": "bill_of_lading",
"sscc": "sscc",
"pro_number": "pro_number",
"shipping_cost": 1,
"measurements": {
"length": 1,
"width": 1,
"height": 1,
"unit": "in",
"weight": 1,
"weight_unit": "lb"
},
"line_items": [
{
"inventory_item_id": "item_id",
"sku": "sku",
"quantity": 1,
"lot_id": "lot_id",
"expiration_date": "2022-06-06T01:02:03Z",
"parent_product_id": null
}
]
}
]
}
],
"external_system_url": "https://example.com/order/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
},
"trackstar_created_date": "2023-03-15T13:45:30Z",
"trackstar_updated_date": "2023-03-15T13:45:30Z"
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Update Order
Get the required, optional, and integration specific fields by calling the integrations endpoint.
Headers
Your organization-level Trackstar API key.
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
"<x-trackstar-access-token>"
Optional key that makes this request safe to retry. Send the same key on a retry and Trackstar returns the first attempt's response instead of writing again; if the first attempt failed, the retry runs the write again. Reusing a key with a different request is rejected. Keys expire after 24 hours.
1 - 255"9f1c2b1e-6d4a-4c1c-9a8e-2b7e3c5d1f00"
Path Parameters
Body
- WMS Sandbox
- Amphora
- BlueBox (IDrive Fulfillment)
- Boxzooka
- Clarus
- J&J Global Fulfillment (Control Port)
- Darwynn Fulfillment
- Cin7 Core (Dear Systems)
- Deposco
- Extensiv (3PL Central)
- FFE
- GoBolt
- Infoplus
- Logiwa
- Logiwa IO
- Luminous
- MasonHub
- Mintsoft
- Ongoing WMS
- Packiyo
- Picqer
- Shipfusion
- ShipHero
- ShipMonk
- ShippingTree
- ShipStation
- ShipStream
- Shipwire
- SKUSavvy
- Linnworks Core (SKUVault)
- Sojo
- TLogistics
- Unleashed
- Veeqo
- VeraCore
- Warehance
- Whiplash (Ryder)
- Zenventory
A list of custom tags associated with the resource. A tag can be either a string or a dictionary with one key-value pair.
["tag1", "tag2", { "tag3": "value3" }]
If set at the order level, the expected warehouse the order will be shipped from. At the shipment level, the warehouse the shipment was shipped from. Can be passed into the Warehouse endpoint for more details.
N/A - Connect an account to see options "warehouse_id"
An external unique identifier for the order, such as a Shopify order id. Defaults to id if client has not defined one.
"order_reference_id"
A user-friendly identifier for their order.
"so_30449"
The channel the order was placed on.
Show child attributes
Show child attributes
The ID of the actual shipping method used to ship the order. Can be passed into the Shipping Method endpoint for more details.. If shipping_method_name is also provided, this will take precedence.
N/A - Connect an account to see options "fedex_ground"
The type of shipping method requested by the customer.
"Standard"
The currency used for this order. If not provided explicitly, defaults to USD.
"USD"
The total price a customer paid for the order.
13.49
Show child attributes
Show child attributes
List of the products included in the order.
Show child attributes
Show child attributes
[{ "sku": "sku", "quantity": 1 }]